LibreOffice: SheetRangesQuery Service Reference

LibreOffice LibreOffice 5.4 SDK API Reference

Exported Interfaces | List of all members
SheetRangesQuery Service Referencepublished

provides interfaces to find cells with specific properties. More...

`import"SheetRangesQuery.idl";`

Inheritance diagram for SheetRangesQuery:

## Exported Interfaces
interface | com::sun::star::sheet::XCellRangesQuery
| provides methods to query for cell ranges with specific contents. More...
interface | com::sun::star::sheet::XFormulaQuery
| provides methods to find dependent cells of formula cells. More...

## Additional Inherited Members
Public Member Functions inherited from XCellRangesQuery
com::sun::star::sheet::XSheetCellRanges | queryVisibleCells ()
| queries all visible cells. More...
com::sun::star::sheet::XSheetCellRanges | queryEmptyCells ()
| queries all empty cells. More...
com::sun::star::sheet::XSheetCellRanges | queryContentCells ([in] short nContentFlags)
| queries all cells with the specified content type(s). More...
com::sun::star::sheet::XSheetCellRanges | queryFormulaCells ([in] long nResultFlags)
| queries all formula cells with the specified result type. More...
com::sun::star::sheet::XSheetCellRanges | queryColumnDifferences ([in] com::sun::star::table::CellAddress aCompare)
| queries all cells with different values in a specified row. More...
com::sun::star::sheet::XSheetCellRanges | queryRowDifferences ([in] com::sun::star::table::CellAddress aCompare)
| queries all cells with different values in a specified column. More...
com::sun::star::sheet::XSheetCellRanges | queryIntersection ([in] com::sun::star::table::CellRangeAddress aRange)
| intersects the current cell range(s) with the specified cell range. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XFormulaQuery
com::sun::star::sheet::XSheetCellRanges | queryDependents ([in] boolean bRecursive)
| queries all dependent formula cells. More...
com::sun::star::sheet::XSheetCellRanges | queryPrecedents ([in] boolean bRecursive)
| queries all precedent cells. More...

## Detailed Description

provides interfaces to find cells with specific properties.

Developers Guide
  Spreadsheets - Querying for Cells with Specific Properties

## Exported Interfaces

## ◆ com::sun::star::sheet::XCellRangesQuery

interface com::sun::star::sheet::XCellRangesQuery

provides methods to query for cell ranges with specific contents.

## ◆ com::sun::star::sheet::XFormulaQuery

interface com::sun::star::sheet::XFormulaQuery

provides methods to find dependent cells of formula cells.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/SheetRangesQuery.idl